classification
Title: add mimetype for application/vnd.apple.mpegurl
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Hiroaki.Kawai, eric.araujo, python-dev, sandro.tosi
Priority: normal Keywords: patch

Created on 2011-12-20 01:37 by Hiroaki.Kawai, last changed 2012-01-01 17:36 by sandro.tosi. This issue is now closed.

Files
File name Uploaded Description Edit
mimetypes.patch Hiroaki.Kawai, 2011-12-20 01:37 review
Messages (3)
msg149898 - (view) Author: Hiroaki Kawai (Hiroaki.Kawai) Date: 2011-12-20 01:37
Add application/vnd.apple.mpegurl, which is used by smartphones recently.
It is registered in IANA : http://www.iana.org/assignments/media-types/application/vnd.apple.mpegurl

An application is described in http://tools.ietf.org/html/draft-pantos-http-live-streaming-07
msg150435 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-01-01 17:35
New changeset 7926f594e333 by Sandro Tosi in branch 'default':
Issue #13640: add application/vnd.apple.mpegurl MIME type; (partial) patch by Hiroaki Kawai
http://hg.python.org/cpython/rev/7926f594e333
msg150436 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2012-01-01 17:36
I've also added 'm3u' which is the companion of 'm3u8'.
History
Date User Action Args
2012-01-01 17:36:27sandro.tosisetstatus: open -> closed

nosy: + sandro.tosi
messages: + msg150436

resolution: fixed
stage: patch review -> resolved
2012-01-01 17:35:41python-devsetnosy: + python-dev
messages: + msg150435
2011-12-31 04:20:08eric.araujosetnosy: + eric.araujo
stage: patch review
type: behavior -> enhancement

versions: - Python 3.1, Python 2.7, Python 3.2, Python 3.4
2011-12-20 01:37:54Hiroaki.Kawaicreate